Bug 840338 - Upgrade VIPS: current packaged version has bug in vips_cache_set_max()
Upgrade VIPS: current packaged version has bug in vips_cache_set_max()
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: vips (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Goode
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-15 22:25 EDT by W. Michael Petullo
Modified: 2012-10-30 22:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-30 22:04:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description W. Michael Petullo 2012-07-15 22:25:38 EDT
Description of problem:
VIPS 7.28.2 has a bug in vips_cache_set_max(); the function does not test whether  vips_cache_table is NULL before using it. This is fixed in 7.28.9.

Version-Release number of selected component (if applicable):
vips-7.28.2-1.fc17.x86_64

How reproducible:
Every time.

Steps to Reproduce:
Inspect source code (see use of g_hash_table_size() in iofuncs/cache.c:vips_cache_trim()). Calling vips_cache_set_max() before some VIPS operation is cached will cause a critical glib error message from libvips.
Comment 1 Fedora Update System 2012-10-20 21:44:33 EDT
vips-7.28.5-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/vips-7.28.5-1.fc18
Comment 2 Fedora Update System 2012-10-20 21:44:43 EDT
vips-7.28.5-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/vips-7.28.5-1.fc17
Comment 3 Fedora Update System 2012-10-21 01:58:30 EDT
Package vips-7.28.5-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing vips-7.28.5-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16548/vips-7.28.5-1.fc18
then log in and leave karma (feedback).

Note You need to log in before you can comment on or make changes to this bug.